;	OPT NO LIST
;
; GRABADOR SISTEMA NHP VER 3.6
;
; SAVE #D8:GRABB
;
;
; ASM,,#D8:GRABB.COM
;
PCRSR = $CB
ORG =   PCRSR
SVMSC = $58
POSXY = $54
LENGHT = $4000
BAFER = $4000
FR0 =   $D4
CIX =   $F2
AFP =   $D800
IFP =   $D9AA
FPI =   $D9D2
FASC =  $D8E6
ZFR0 =  $DA44
FDIV =  $DB28
FMUL =  $DADB
FMOVE = $DDB6
INBUFF = $F3
LBUFF = $0580
LLOAD = PAG7-LOAD
LAUTO = PAG4-PAG7
BL4 =   LAUTO/128
LAST =  LAUTO-128*BL4
GENDAT = $47
B00600 = $05CC  ;TIMER  600 BPS
B00800 = $0457  ;TIMER  800 BPS
B01170 = $02F6  ;TIMER 1170 BPS
;
	ORG $2000
    ICL 'KEM2.ASM'
    ICL 'LOADER.ASM'
    ICL 'MEMO256K.ASM'
    ICL 'HEXASCII.ASM'
DLS
    .BYTE $70,$70,$70,$46
    .WORD SHOW
    .BYTE 2,2,2,2,2,2
    .BYTE 2,2,2,2,2,2
    .BYTE 2,2,2,2,2,2
    .BYTE $70,2,2
	.BYTE $41
    .WORD DLS
; -------------------------
; DEFINICION DEL DISPLAY
; PARA DIRECTORIO
; -------------------------
?DIR
    .BYTE $70,$70,$70
    .BYTE $46
    .WORD ???DIR
    .BYTE $70,$02,$02,$02,$02,$02,$02,$02
    .BYTE $02,$02,$41
    .WORD ?DIR
SHOW
    .SB " "
    .SB +128,"dogdark"
    .SB "  softwares "
    .SB +32,"QRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRRE"
    .SB "| DOGCOPY 256K - ULTRA 2019 BY DOGDARK |"
    .SB +32,"ARRRRRRRRRRRRRRRWRRRRRRRRRRRRRRRRRRRRRRD"
    .SB "|"
    .SB +128,"DATA           "
    .SB "|"
    .SB +128," 12345678901234567890 "
    .SB "|"
    .SB "|BANCOS      "
MUESTROBANCOS
	.SB "00"
	.SB " | TITULO 01            |"
    .SB "|MEMORIA "
MUESTROMEMORIA
	.SB "****** | "
CRSR
    .SB "********************"
    .SB " |"
    .SB "|               | TITULO 02            |"
    .SB "|PORTB      "
MUESTROPORTB
	.SB "000 | "
CRSR2
	.SB "********************"
	.SB " |"
    .SB "|BYTES    "
BYTES
	.SB "*****"
	.SB " | FUENTE               |"
    .SB "|BLOQUES    "
BLOQUES
	.SB "***"
	.SB " | "
FILE
	.SB "********************"
	.SB " |"
    .SB +32,"ZRRRRRRRRRRRRRRRXRRRRRRRRRRRRRRRRRRRRRRC"
BANQUEO
	.SB "****************************************"
	.SB "****************************************"
	.SB "****************************************"
	.SB "****************************************"
	.SB "****************************************"
	.SB "****************************************"
	.SB "****************************************"
	.SB " PROGRAMAS PARA COMPUTADORES ATARI 2019 "
	.SB "          BY DOGDARK SOFTWARES          " 
NAME
  	.SB "                    "
???DIR
    .SB "     DIRECTORIO     "
??DIR
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
	.SB "                                        "
ESRETURN
	.SB +128," RETURN "
	.SB " PARA GRABAR"
ESSTART
	.SB +128," START "
	.SB " OTRA COPIA"
RY
	.BYTE 0,0
LEN
    .BYTE 0,0,0
CONT
    .BYTE 0,0,0
BLOCK
	.BYTE 0,0
STARTF
    .BYTE 0,0
FINISH
    .BYTE 0,0
@BL4
    .BYTE 0
?FILE
    .BYTE 'D:'
??FILE
    .BYTE '                    '
BBLQS
    .BYTE "000",$9B
ALL
    .BYTE 'D:*.*',$9B
DNHP
    .BYTE $60,$00,$50,$80
    .WORD BANQUEO
    .BYTE $35,$00,$00,$01,$00,$80
BAKBYT
    .SB "00000"
BAKBLQ
    .SB "000"
TURBO
    .SB "TURBO"
FTURBO
    .BYTE $FF
TON
    .SB "ON "
BANCA
	.BYTE 0
MOM
	.BYTE 0,0,0
BAUD.800
    LDA # <B00800
    JSR BAUD.M1
    LDA # >B00800
    JMP BAUD.M2
BAUD.1170
    LDA # <B01170
    JSR BAUD.M1
    LDA # >B01170
BAUD.M2
    STA $EBA8
    STA $FD46
    STA $FCE1
    RTS
BAUD.M1
    STA $EBA3
    STA $FD41
    STA $FCDC
    RTS
LIMPIOBANQUEO
	LDX #0
	LDA #$00
LIMPIOBANQUEO1
	STA BANQUEO,X
	CPX #$FF
	BEQ LIMPIOBANQUEO2
	INX
	JMP LIMPIOBANQUEO1
LIMPIOBANQUEO2
	LDX #0
LIMPIOBANQUEO3
	STA BANQUEO+255,X
	CPX #24
	BEQ FINLIMPIOBANQUEO
	INX
	JMP LIMPIOBANQUEO3
FINLIMPIOBANQUEO
	RTS
LIMPIOBLOCK
	LDA #$00
	STA BLOCK
	STA BLOCK+1
	RTS
LIMPIORY
	LDA #$00
	STA RY
	STA RY+1
	STA RY+2
	RTS
LIMPIOFILE
	LDX #19
	LDA #$00
LIMPIOFILE1
	STA FILE,X
	DEX
	BPL LIMPIOFILE1
	RTS
ESPORTB
	JSR LIMPIOVAL
	LDA $D301
	STA VAL
	JSR BIN2BCD
	LDX #7
	LDY #2
ESPORTB1
	LDA RESATASCII,X
	STA MUESTROPORTB,Y
	DEX
	DEY
	BPL ESPORTB1
	RTS
VEORETURN
	JSR LIMPIOFILE
	LDX #19
VEORETURN1
	LDA ESRETURN,X
	STA FILE,X
	DEX
	BPL VEORETURN1
	RTS
VEOSTART
	JSR LIMPIOFILE
	LDX #17
VEOSTART1
	LDA ESSTART,X
	STA FILE,X
	DEX
	BPL VEOSTART1
	RTS
RESTORE
	JSR LIMPIOVAL
	JSR MEMORIA
	LDA BANKOS
	STA VAL
	JSR BIN2BCD
	LDA RESATASCII+7
	STA MUESTROBANCOS+1
	LDA RESATASCII+6
	STA MUESTROBANCOS
    LDY #19
?RESTORE
    LDA #$20
    STA ??FILE,Y
	DEY
    BPL ?RESTORE
    LDY #19
??RESTORE
    LDA #$00
    STA CRSR,Y
    STA CRSR2,Y
    STA NAME,Y
    STA NAMELOAD,Y
    STA P7TITULO,Y
    DEY
    BPL ??RESTORE
    JSR LIMPIOBANQUEO
	JSR LIMPIOFILE
    LDY #34
???RESTORE
    LDA #$10
    LDY #$04
RESNUM
    STA BYTES,Y
    DEY
    BPL RESNUM
    STA BLOQUES
    STA BLOQUES+1
    STA BLOQUES+2
    JSR LIMPIOVAL
    LDA MEMORY
    STA VAL
    LDA MEMORY+1
    STA VAL+1
    LDA MEMORY+2
    STA VAL+2
    JSR BIN2BCD
    LDX #7
    LDY #5
RESNUM2
	LDA RESATASCII,X
	STA MUESTROMEMORIA,Y
	DEX
	DEY
	BPL RESNUM2
    LDA #$FF
    STA $D301
    JSR ESPORTB
    RTS
ASCINT
    CMP #32
    BCC ADD64
    CMP #96
    BCC SUB32
    CMP #128
    BCC REMAIN
    CMP #160
    BCC ADD64
    CMP #224
    BCC SUB32
    BCS REMAIN
ADD64
    CLC
    ADC #64
    BCC REMAIN
SUB32
    SEC
    SBC #32
REMAIN
    RTS
CLS
    LDX # <??DIR
    LDY # >??DIR
    STX PCRSR
    STY PCRSR+1
    LDY #$00
    LDX #$00
?CLS
    LDA #$00
    STA (PCRSR),Y
    INY
    BNE ??CLS
    INX
    INC PCRSR+1
??CLS
    CPY #104	;$68
    BNE ?CLS
    CPX #$01
    BNE ?CLS
    RTS
OPEN
    LDX #$10
    LDA #$03
    STA $0342,X
    LDA # <?FILE
    STA $0344,X
    LDA # >?FILE
    STA $0345,X
    LDA #$04
    STA $034A,X
    LDA #$80
    STA $034B,X
    JSR $E456
    DEY
    BNE DIR
    RTS
CLOSE
    LDX #$10
    LDA #$0C
    STA $0342,X
    JMP $E456
DIR
    JSR CLOSE
    JSR CLS
    LDX # <?DIR
    LDY # >?DIR
    STX $0230
    STY $0231
    LDX # <??DIR
    LDY # >??DIR
    STX PCRSR
    STY PCRSR+1
    LDX #$10
    LDA #$03
    STA $0342,X
    LDA # <ALL
    STA $0344,X
    LDA # >ALL
    STA $0345,X
    LDA #$06
    STA $034A,X
    LDA #$00
    STA $034B,X
    JSR $E456
    LDA #$07
    STA $0342,X
    LDA #$00
    STA $0348,X
    STA $0349,X
    STA RY
    STA RY+1
LEDIR
    JSR $E456
    BMI ?EXIT
    CMP #155
    BEQ EXIT
    JSR ASCINT
    LDY RY
    STA (PCRSR),Y
    INC RY
    BNE F0
    INC PCRSR+1
    INC RY+1
F0
    LDY RY+1
    CPY #$01
    BNE F1
    LDY RY
    CPY #104	;$68
    BCC F1
    JSR PAUSE
    INC RY
F1
    JMP LEDIR
EXIT
    INC RY
    INC RY
    JMP LEDIR
?EXIT
    JSR CLOSE
    JSR PAUSE
    JSR CLS
    PLA
    PLA
    JMP START
PAUSE
    LDA 53279
    CMP #$06
    BNE PAUSE
    JSR CLS
    LDA #$00
    STA RY
    STA RY+1
    LDA # <??DIR
    STA PCRSR
    LDA # >??DIR
    STA PCRSR+1
    LDX #$10
    RTS
FLSH
    LDY RY
    LDA (PCRSR),Y
    EOR #63
    STA (PCRSR),Y
    LDA #$10
    STA $021A
    RTS
OPENK
    LDA #255
    STA 764
    LDX #$10
    LDA #$03
    STA $0342,X
    STA $0345,X
    LDA #$26
    STA $0344,X
    LDA #$04
    STA $034A,X
    JSR $E456
    LDA #$07
    STA $0342,X
    LDA #$00
    STA $0348,X
    STA $0349,X
    STA RY
    RTS
RUTLEE
    LDX # <FLSH
    LDY # >FLSH
    LDA #$10
    STX $0228
    STY $0229
    STA $021A
    JSR OPENK
GETEC
    JSR $E456
    CMP #$7E
    BNE C0
    LDY RY
    BEQ GETEC
    LDA #$00
    STA (PCRSR),Y
    LDA #63		;$3F
    DEY
    STA (PCRSR),Y
    DEC RY
    JMP GETEC
C0
    CMP #155	;$9B
    BEQ C2
    JSR ASCINT
    LDY RY
    STA (PCRSR),Y
    CPY #20		;#14
    BEQ C1
    INC RY
C1
    JMP GETEC
C2
    JSR CLOSE
    LDA #$00
    STA $021A
    LDY RY
    STA (PCRSR),Y
    RTS
FGET
    LDA #$DF
    STA $D301
    LDA #$00
    STA LEN
    STA LEN+1
    STA LEN+2
    STA BANCA
LOPFGET
	JSR CAMBIOBANCO
	JSR ESPORTB
    LDX #$10
    LDA #$07
    STA $0342,X
    LDA # <BAFER
    STA $0344,X
    LDA # >BAFER
    STA $0345,X
    LDA # <LENGHT
    STA $0348,X
    LDA # >LENGHT
    STA $0349,X
??FGET
    JSR $E456
    CLC
    LDA LEN
    ADC $0348,X
    STA LEN
    LDA LEN+1
    ADC $0349,X
    STA LEN+1
    LDA LEN+2
    ADC #$00
    STA LEN+2
    LDA $0349,X
    CMP # >LENGHT
    BEQ LOPFGET
    CPY #136	;$88
    BEQ ?FGET
    JSR CLOSE
    JSR CLS
    LDX #$00
    TXS
    JMP START
?FGET
    JSR ZFR0
    LDA #252	;$FC
    STA FR0
    JSR IFP
    JSR FMOVE
    LDA LEN
    STA FR0
    LDA LEN+1
    STA FR0+1
    JSR IFP
    JSR PONBYTES
    JSR FDIV
    JSR PONBLOQUES
    JSR FPI
    LDA FR0
    PHA
    DEC FR0
    JSR IFP
    JSR FMOVE
    LDA #252	;$FC
    STA FR0
    LDA #$00
    STA FR0+1
    JSR IFP
    JSR FMUL
    JSR FPI
    SEC
    LDA LEN
    SBC FR0
    STA CONT+1
    INC CONT+1
    PLA
    STA CONT
    LDX #$10
    RTS
PONBYTES
    JSR NBYTES
    STY RY
    LDY #$04
?PONBYTES
    LDA LBUFF,X
    AND #$5F
    STA BYTES,Y
    DEY
    DEX
    DEC RY
    BPL ?PONBYTES
    RTS
PONBLOQUES
    JSR NBYTES
    STY RY
    LDY #$02
?PONBLOQUES
    LDA LBUFF,X
    AND #$5F
    STA BLOQUES,Y
    DEY
    DEX
    DEC RY
    BPL ?PONBLOQUES
    LDA BLOQUES+2
    CMP #$19
    BEQ ??PP0
    INC BLOQUES+2
PP0
    LDY #$02
MVBLQ
    LDA BLOQUES,Y
    ORA #$20
    STA BBLQS,Y
    DEY
    BPL MVBLQ
    LDX # <BBLQS
    LDY # >BBLQS
    LDA #$00
    STX INBUFF
    STY INBUFF+1
    STA CIX
    JMP AFP
??PP0
    LDA #$10
    STA BLOQUES+2
    LDA BLOQUES+1
    CMP #$19
    BEQ ???PP0
    INC BLOQUES+1
    JMP PP0
???PP0
    LDA #$10
    STA BLOQUES+1
    INC BLOQUES
    JMP PP0
NBYTES
    JSR FASC
    LDX #$00
    LDY #$00
    LDA LBUFF
    CMP #$30	;'0
    BNE PL0
    INX
PL0
    LDA LBUFF,X
    CMP #$80
    BCS PL1
    CMP #$2E		;'.
    BEQ PL2
    INX
    INY
    JMP PL0
PL1
    RTS
PL2
	DEX
    LDA LBUFF,X
    ORA #$80
    STA LBUFF,X
    DEY
    RTS
SAVESIO
    LDX #$0B
?SAVESIO
	LDA ESIO,X
    STA $0300,X
    DEX
    BPL ?SAVESIO
    JMP $E459
ESIO
	.BYTE $60,$00,$50,$80
    .WORD ESPSIO
    .BYTE $23,$00
    .WORD 26
    .BYTE $00,$80
OPENC
	LDA $D40B
    BNE OPENC
    LDA #$FF
    STA 764		;$02FC
?OPENC
    LDA 764
    CMP #$FF
    BEQ ?OPENC
    LDA #$FF
    STA 764
    JMP $FD40
PONDATA
    LDA BLOQUES
    STA BLQ
    LDA BLOQUES+1
    STA BLQ+1
    LDA BLOQUES+2
    STA BLQ+2
    LDY #$13
?PONDATA
	LDA NAME,Y
	STA NME,Y
	STA P7TITULO,Y
	DEY
	BPL ?PONDATA   
    RTS
INITSIOV
    LDY #$0B
?INITSIOV
    LDA DNHP,Y
    STA $0300,Y
    DEY
    BPL ?INITSIOV
    LDA #$00
    STA 77		;$4D
    RTS
CAMBIOBANCO
	STA MOM
	STX MOM+1
	STY MOM+2
	LDX BANCA
	LDA B,X
	STA $D301
	CPX BANKOS
	BEQ ERRORBANCOS
	INX
	STX BANCA
	LDA MOM
	LDX MOM+1
	LDY MOM+2
	RTS
ERRORBANCOS
	JMP DIR
AUTORUN
    LDX # <PAG7
    LDY # >PAG7
    LDA #$02
    STX MVPG7+1
    STY MVPG7+2
    STA @BL4
FALTA
    JSR INITSIOV
    LDX #<??DIR
    LDY #>??DIR
    STX $0304
    STY $0305
    LDX #131	; $83
    LDY #$00	; $00
    STX $0308
    STY $0309
    LDY #$00
    TYA
CLBUF
    STA ??DIR,Y
    INY
    CPY #131	;$83
    BNE CLBUF
    LDA #$55
    STA ??DIR
    STA ??DIR+1
    LDX #$FC
    LDY #127	;$7F
    DEC @BL4
    BPL NOFIN
    LDX #$FA
    LDY #LAST
    STY ??DIR+130
NOFIN
    STX ??DIR+2
MVPG7
    LDA PAG7,Y
    STA ??DIR+3,Y
    DEY
    BPL MVPG7
    JSR $E459
    CLC
    LDA MVPG7+1
    ADC #$80
    STA MVPG7+1
    LDA MVPG7+2
    ADC #$00
    STA MVPG7+2
    LDA @BL4
    BPL FALTA
    RTS
GAUTO
	LDA #0
	STA BANCA
	LDA $D20A
	STA GENDAT
	STA @GENDAT
    LDA #$FE
    STA $D301
    JSR BAUD.800
    JSR AUTORUN
    JSR INITSIOV
    LDX # <131
    LDY # >131
    STX $0308
    STY $0309
    LDX # <PAG4
    LDY # >PAG4
    STX $0304
    STY $0305
    JSR $E459
    JSR INITSIOV
    LDA #$FE
    STA $D301
    JSR BAUD.1170
    LDX #$20
    STX $021C
?GAUTO
    LDX $021C
    BNE ?GAUTO
    LDX # <LLOAD
    LDY # >LLOAD
    STX $0308
    STY $0309
    LDX # <LOAD
    LDY # >LOAD
    STX $0304
    STY $0305
    JSR $E459
    RTS
REST
    LDY #$04
??REST
    LDA BYTES,Y
    STA BAKBYT,Y
    DEY
    BPL ??REST
    LDY #$02
???REST
    LDA BLOQUES,Y
    STA BAKBLQ,Y
    DEY
    BPL ???REST
    RTS
?REST
    LDY #$04
????REST
    LDA BAKBYT,Y
    STA BYTES,Y
    DEY
    BPL ????REST
    LDY #$02
?????REST
    LDA BAKBLQ,Y
    STA BLOQUES,Y
    DEY
    BPL ?????REST
    LDA CONT
    STA PFIN
    RTS
EXNHPUT
;    LDA #$80
;    STA 77
    PLA
    PLA
    PLA
    PLA
    RTS
NHPUT
    JSR SAVESIO
    LDA #$55
    STA BANQUEO
    STA BANQUEO+1
    LDA #252	;$FC
    STA BANQUEO+255
    LDA #$FE
    STA $D301
    JSR BAUD.1170
    LDX # <BAFER
    LDY # >BAFER
    STX M+1
    STY M+2
    LDX #$00
    LDY #$00
    STY $02E2
    JSR GRABACION
    JMP ?MVBF
GRABACION
    LDA PFIN
    STA BANQUEO+2
    BEQ EXNHPUT
    CMP #$01
    BNE RETURN
    LDA CONT+1
    STA BANQUEO+255
RETURN
    RTS
?MVBF
    JSR GBYTE
    STA STARTF
    JSR GBYTE
    STA STARTF+1
    AND STARTF
    CMP #$FF
    BEQ ?MVBF
    JSR GBYTE
    STA FINISH
    JSR GBYTE
    STA FINISH+1
NHLOP
    JSR GBYTE
    LDA STARTF
    CMP #$E3
    BNE ?NHLOP
    LDA STARTF+1
    CMP #$02
    BNE ?NHLOP
    STA $02E2
?NHLOP
    LDA STARTF
    CMP FINISH
    BNE NHCONT
    LDA STARTF+1
    CMP FINISH+1
    BEQ ?MVBF
NHCONT
    INC STARTF
    BNE NOHI
    INC STARTF+1
NOHI
    JMP NHLOP
GBYTE
	CPY BANQUEO+255
    BEQ EGRAB
    TYA
M
    EOR BAFER,X
    EOR GENDAT
    STA BANQUEO+3,Y
    TYA
    EOR BANQUEO+3,Y
    EOR GENDAT
    INC GENDAT
    INY
    INX
    BNE EXNHPIT
    INC M+2
    BPL EXNHPIT
    PHA
    JSR CAMBIOBANCO
    LDA # >BAFER
    STA M+2
    PLA
EXNHPIT
	LDA #$FE
    STA $D301
    JSR BAUD.1170
    RTS
EGRAB
    DEC PFIN
    TXA
    PHA
    JSR INITSIOV
    JSR $E459
    LDX #$02
DECBL01
    LDA BLOQUES,X
    CMP #$10
    BNE DECBL02
    LDA #$19
    STA BLOQUES,X
    DEX
    BPL DECBL01
DECBL02
    DEC BLOQUES,X
    PLA
    TAX
	LDA $02E2
    BNE SLOWB
SIGUE
    JSR GRABACION
    LDY #$00
    JMP GBYTE
SLOWB
    TXA
    PHA
    LDX # <350	;$015e
    LDY # >350
    STX $021C
    STY $021D
IRG
    LDA $021D
    BNE IRG
    LDA $021C
    BNE IRG
    LDA #$00
    STA $02E2
    PLA
    TAX
    JMP SIGUE
DOS
    JMP ($0C)
@START
	JSR DOS
START
    LDX # <DLS
    LDY # >DLS
    STX $0230
    STY $0231
    LDA #2
    STA 710
    STA 712
    JSR RESTORE
    LDX # <CRSR
    LDY # >CRSR
    STX PCRSR
    STY PCRSR+1
    JSR RUTLEE
    TYA
    BEQ NOTITLE
    LSR 
    STA RY+1
    LDA #10
    SEC
    SBC RY+1
    STA RY+1
    LDX #$00
    LDY RY+1
WRITE
    LDA CRSR,X
    STA NAME,Y
    INY
    INX
    CPX RY
    BNE WRITE
NOTITLE
    LDX # <FILE
    LDY # >FILE
    STX PCRSR
    STY PCRSR+1
    JSR RUTLEE
    LDY #19
CONV
    LDA FILE,Y
    BEQ ?REMAIN
    AND #$7F
    CMP #64
    BCC ADD32
    CMP #96
    BCC SUB64
    BCS ?REMAIN
ADD32
    CLC
    ADC #32
    BCC OKLET
SUB64
    SEC
    SBC #64
?REMAIN
    LDA #$9B
OKLET
    STA ??FILE,Y
    DEY
    BPL CONV
    JSR OPEN
    JSR FGET
    JSR CLOSE
    JSR PONDATA
    JSR REST
OTRACOPIA
    JSR ?REST
    JSR VEORETURN
    JSR OPENC
    JSR GAUTO
    JSR NHPUT
    LDX #$3C
    LDA #$03
    STA 53775
    STX $D302
    LDX #52		;ENCIENDO MOTOR
    STX $D302	;54018
    LDX #$20
    STX $021C
PAUSITA
    LDX $021C
    BNE PAUSITA
    LDX #60		;APAGO MOTOR
    STX $D302
    JSR VEOSTART
    LDX #$FF
    STX $D301
WAIT
    LDA 53279
    CMP #$07
    BEQ WAIT
    CMP #$06
    BEQ OTRACOPIA
    CMP #$03
    BNE WAIT
    JMP START
PIRATAS
    JSR CLOSE
    JSR KEM
    LDX # <@START
    LDY # >@START
    LDA #$03
    STX $02
    STY $03
    STA $09
    LDY #$FF
    STY $08
    INY   
    STY $0244
	JMP START
	RUN PIRATAS